#include<bits/stdc++.h>
using namespace std;
int maks,n,a[1000005],mini,suma;
double p[1000005],o[1000005];
int main(){
cin>>n;
for(int i=1;i<=n;i++){
    cin>>a[i]>>p[i];
    o[i]=p[i];
}
sort(p+1,p+n+1);
for(int i=1;i<=n;i++){
    suma=0;
    for(int j=1;j<=n;j++){
    if(p[i]<=o[j]) suma+=a[j];           
        }
    maks=max(maks,suma*p[i]/100.00);
    }
cout<<maks<<endl;
return 0;
}